/*
 * AGOSAdditions.cpp
 *
 *  Created on: Feb 17, 2014
 *      Author: omergilad
 */

#include "AGOSAdditions.h"
#include "backends/platform/android/loghelper.h"

AGOSAdditions* AGOSAdditions::sInstance = NULL;

AGOSAdditions* AGOSAdditions::instance() {
	if (sInstance == NULL) {
		LOGD("AGOSAdditions::instance: New instance");
		sInstance = new AGOSAdditions();
	}

	return sInstance;
}

void AGOSAdditions::release() {

	LOGD("AGOSAdditions::release: ");
	if (sInstance != NULL) {
		delete sInstance;
		sInstance = NULL;
	}
}

bool AGOSAdditions::getMP3DecoderReachedEndOfStream() {
	return mMP3DecoderReachedEndOfStream;
}

void AGOSAdditions::setMP3DecoderReachedEndOfStream(bool state) {
	//LOGD("AGOSAdditions::setMP3DecoderReachedEndOfStream: %d", state);

	mMP3DecoderReachedEndOfStream = state;
}

AGOSAdditions::AGOSAdditions() :
		mMP3DecoderReachedEndOfStream(true) {

	LOGD("AGOSAdditions::AGOSAdditions: ");
}

AGOSAdditions::~AGOSAdditions() {

	LOGD("AGOSAdditions::~AGOSAdditions: ");
}

