package org.iphsoft.simon1.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint.Style;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.util.TypedValue;

import com.mojotouch.fotaq.R;

public class SubtitleTextView extends AutofitTextView {

	
	public SubtitleTextView(Context context)
	{
		super(context);
		
		init();

	}

	public SubtitleTextView(Context context, AttributeSet attrs, int defStyle)
	{
		super(context, attrs, defStyle);
		
		init();

	}

	public SubtitleTextView(Context context, AttributeSet attrs)
	{
		super(context, attrs);
		
		init();
	}

	protected void init()
	{
		TypedValue strokeValue = new TypedValue();
		getResources().getValue(R.dimen.subtitle_stroke, strokeValue, true);
		float stroke = strokeValue.getFloat();
		
		setShadowLayer(stroke * 4, 0, 0, getResources().getColor(R.color.black));
	}
	
	@Override
	protected void onDraw(Canvas canvas)
	{
        super.onDraw(canvas);

	/*	int restoreColor = this.getCurrentTextColor();
		
		TypedValue strokeValue = new TypedValue();
		getResources().getValue(R.dimen.subtitle_stroke, strokeValue, true);
		float stroke = strokeValue.getFloat();  

		TextPaint paint = this.getPaint();
		paint.setStyle(Style.STROKE);
	//	paint.setStrokeJoin(new Join());
	//	paint.setStrokeMiter(strokeMiter);
		this.setTextColor(0xff000000);
		paint.setStrokeWidth(stroke);
		super.onDraw(canvas);
		paint.setStyle(Style.FILL);
		this.setTextColor(restoreColor);*/
	}
	

}
